<?php

/* this simulates most of the database functions that are in MYSQL.PHP */

function dberror() {
	$dbdir = config('importdir');
	return "directory '$dbdir' does not exist";
}

function dblistrecords($id = NULL) {
	$dbdir = config('importdir');
	if ($id)
		return is_file("$dbdir/$id.txt");
	if (!is_dir($dbdir))
		return FALSE;
	$ids = glob("$dbdir/*.txt");
	$ids = str_replace("$dbdir/","",$ids);
	$ids = str_replace(".txt","",$ids);
	natsort($ids);
	sort($ids);				// this resets the indexes
	return $ids;
}

function dbreadrecord($id) {
	$dbdir = config('importdir');
	$rec = file_get_contents("$dbdir/$id.txt");
	if (!$rec) return $rec;
	return stringtorecord($rec);
}

function dbgetrecord($id) {
	$dbdir = config('importdir');
	$rec = file_get_contents("$dbdir/$id.txt");
	return $rec;
}

function dbnewrecord(/*mixed*/ $data) {
	$dbdir = config('importdir');
	if (is_array($data))
		$data = recordtostring($data);
	$ids = dblistrecords();
	$id = $ids[count($ids)-1]+1;
	$rec = file_put_contents("$dbdir/$id.txt",$data);
	return $rec;
}

function dbputrecord($id, $data) {
	$dbdir = config('importdir');
	if (is_array($data))
		$data = recordtostring($data);
	$rec = file_put_contents("$dbdir/$id.txt",$data);
	return $rec;
}

function dbdelrecord($id) {

	$dbdir = config('importdir');
	return unlink("$dbdir/$id.txt");
}

function dbcountcomments($entryid) {

	return 0;
}

function dblistcomments($entryid) {

	return array();
}

function dbreadcomment($id) {

	return 0;
}

function dbwritecomment($entryid, /*mixed*/ $record) {

	return 0;
}

function dbputcomment($id, $data) {

	return 0;
}

function dbdelcomment($id) {

	return 0;
}

function dbreaduser($userid) {

	return 0;
}

function dbputuser($uid, $record, $update = FALSE) {

	return 0;
}

function dbvisitor($cmd, $from = NULL, $data = NULL) {

	return 0;
}

function dbreadvisitor($from) {

	return 0;
}

function dbnewvisitor($from, $record) {

	return 0;
}

function dbputvisitor($from, $record) {

	return 0;
}

function dbdelvisitor($from) {

	return 0;
}

function dbrecord($cmd, $data = '') {

	return 0;
}

function dbcomment($cmd, $id, $data = '') {

	return 0;
}

?>
