<?php
/*
	"I wake up in the morning with ideas that please me, and some of
	those ideas actually please me also later in the day when I've
	entered them into my computer."
	  -- Donald Knuth
*/

// All include files are here; there are no classes, no global objects,
// and no nested includes.

// This is the "maintenance mode" message; uncomment when upgrading.
//readfile('doc/help/message.html');
//exit;

define('THIS_EOL',"\n");

$GLOBALS['VERSION'] = '1.3.2';		// gets put into configuration data

include 'error.php';
include 'rules.php';
include 'dat/defines.php';		// MySQL and Admin password defines

foreach (glob('inc/*.php') as $inc)	// include all library functions
	include($inc);

foreach (glob('mod/*.php') as $inc) {	// include all modules
	include($inc);
	$inc = str_replace('mod/','',$inc);
	setmodule($inc);
}

include "testing.php";	// while in BETA we do this instead of that:
//include "mysql.php";				// database functions
// see file TESTING

modules_init();					// initialize all data

$file = html('themedir')."functions.php";	// theme code (optional)
if (is_file($file)) {
	debug("'$file'");
	include $file;
}

data_check();					// check for objects
data_adjust();					// adjusts some HTML
$op = getvar('op');				// $_GET alias
do_rules($op);					// see RULES.PHP

// Do not change anything below this line!
